Hobbyist Toolkit

cancel
Showing results for 
Search instead for 
Did you mean: 

Labview CE 2020 connects to raspberry but CE 2021 does not

Solved!
Go to solution

я использую LabVIEW CE 2020 скачаную не с оф-го сайта NI а с интернета и она работает. Новот проблема в окнах MakerHub у меня не устанавливается версия 20.0.0-4 я пробовал чрез терминал расбери делать то что указано ниже и то что написано в других источника но все безрезультатно, у меня расбери 3 b но окно которое вы представили на последнем скриншоте у меня есть те устройство видно для лабвью но это окно бесконечно загружается что делать то. как понять работает расбри с лабвью или нет????? и модуль реал тайм у меня не устанавливается, как на виндовс 10 так и на 11, работаю сейчас на 11. 

0 Kudos
Message 11 of 27
(677 Views)

If you are using the LabVIEW Community Edition then you do not need to install any additional packages to interact with a Raspberry Pi.  Why do you believe that the necessary software is not installed for you?  If you can provide more information about what you are seeing, maybe with some screenshots, we may be able to assist more.

 

If you are not using the Community Edition then you will need to install additional software separately to get everything to work.  I created a post about the additional software here.

David Wilt
The New Standard LLC
0 Kudos
Message 12 of 27
(670 Views)

У меня получилось установить соединение с расбери пи. Спасибо за ваши инструкции. Я вот хотел узнать некоторые вещи. У меня будет проект с расбери - связь по радиоканалу, у меня этих приставок 3 штуки. но вот возникла проблема с их программированием в LabVIEW 2020 СЕ. Вопрос звучит так: "Можно ли использовать с расбери пи разделяемые переменные?". И еще один вопрос:
"А как из распбери пи забросить данные в программу на LabVIEW,  то есть на основную машину в хост"?

0 Kudos
Message 13 of 27
(638 Views)

@Exclus1ve wrote:

У меня получилось установить соединение с расбери пи. Спасибо за ваши инструкции. Я вот хотел узнать некоторые вещи. У меня будет проект с расбери - связь по радиоканалу, у меня этих приставок 3 штуки. но вот возникла проблема с их программированием в LabVIEW 2020 СЕ. Вопрос звучит так: "Можно ли использовать с расбери пи разделяемые переменные?". И еще один вопрос:
"А как из распбери пи забросить данные в программу на LabVIEW,  то есть на основную машину в хост"?


I suggest that you make your own post about your specific question about your application.  I have not used shard variables with the Raspberry Pi but I don't see why it would not work.  As for transferring data inside the Raspberry Pi, that depends on what you are specifically trying to do.  If you want to discuss this in more detail please start your own post about your specific questions.

David Wilt
The New Standard LLC
0 Kudos
Message 14 of 27
(621 Views)

я работаю с расбери пи 3 б и связал ее с лабвью, мне удалось подключить, но вот есть вопрос нужен ли модуль рантайм для работы с расбери или она и без него будет работать??? просто у меня ломаная версия лабвью и данный модуль я не могу установить вылетает ошибка. и подскажите может что то еще надо установить для работы расбери и лабвью 2020 CE?

0 Kudos
Message 15 of 27
(438 Views)

You do not need to install anything else if you are using LabVIEW 2020 CE.  I found that LabVIEW RT was required if you use a non Community Edition like LabVIEW Professional.

David Wilt
The New Standard LLC
0 Kudos
Message 16 of 27
(436 Views)

добрый день, я работаю с LV 2020 CE и расбери пи 3 б, и хочу настроить передачу по последовательному порту UART я включил его через терминал и тп, произвел некоторые настройки и уверен что он работает и включен. Но когда я выбираю квадратик LINX serial I/O и нужные квадратики для юарта у меня вылетает ошибка 54 и я просто не знаю как с этим бороться! может я неправильно активировал лабвью, я ее сломал через ключ или проблема в другом, может что то надо скачать с пакет менеджера лв или что то написать в терминале лабвью и да мне пришлось в ручную настраивать linx на расбери через терминал она поключается к лабвью и все хорошо но может я что то мог потом и лишнее ввести и есть какой то конфликт с библиотеками, но если поставить локал I/O то ошибки нету но в дальнейшем возникают другие например 5000 или если поменять квадратик записи на чтение то другой код ошибки хотя в самой программе ошибок нету. что делать?  

0 Kudos
Message 17 of 27
(419 Views)

Hi AndyLB,

 

I had the same problem with not beeing able to install LabView on my Raspberry Pi 4b (installed the actual Raspberry Pi OS 64 bit). I'm using Labview 21 SP1 32 bit with the Hobbyist Toolkit with Linx. After using your workaround and installed lvrt21-schroot_21.0.0-1 via PuTTY the correct "Installed Version" is displayed in Tools-Hobbyist-Target Configuration.

When trying to connect my Raspi in the Project Explorer afterwards I still can't connect it and get the following error:

ElSta_0-1647194201508.png

 

Is there any way to debug the error and getting a find connection to the Rapsi?

0 Kudos
Message 18 of 27
(414 Views)

Problem was 64 bit OS on Raspi! 32 bit works fine

0 Kudos
Message 19 of 27
(401 Views)

>> Please can NI update the dependency list for lvrt21-schroot to use debhelper instead of dh-systemd?

We added an updated package today to the feed that should fix the issue.

 

Regards,

Ken

0 Kudos
Message 20 of 27
(269 Views)